Package org.apache.avro.generic

# Interface GenericRecord

All Superinterfaces:
  `GenericContainer`, `IndexedRecord`

All Known Implementing Classes:
  `GenericData.Record`, `SpecificRecordBase`

public interface GenericRecord extends IndexedRecord
A generic instance of a record schema. Fields are accessible by name as well as by index.

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(String key)`
Return the value of a field given its name.
`default boolean`
`hasField(String key)`
Return true if record has field with name: key
`void`
`put(String key, Object v)`
Set the value of a field given its name.

### Methods inherited from interface org.apache.avro.generic.GenericContainer

`getSchema`

### Methods inherited from interface org.apache.avro.generic.IndexedRecord

`get, put`

## Method Details

### put

void put(String key, Object v)
Set the value of a field given its name.

### get

Object get(String key)
Return the value of a field given its name.

### hasField

default boolean hasField(String key)
Return true if record has field with name: key